Name:          shibboleth-java-parent-v3
Version:       8
Release:       7%{?dist}
Summary:       Shibboleth Project V3 Super POM
License:       ASL 2.0
URL:           http://shibboleth.net/
#git clone git://git.shibboleth.net/java-parent-project-v3
#(cd java-parent-project-v3/ && git archive --format=tar --prefix=shibboleth-java-parent-v3-8/ 8 | xz > ../shibboleth-java-parent-v3-8.tar.xz)
Source0:       %{name}-%{version}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:jul-to-slf4j)
BuildRequires: mvn(org.slf4j:log4j-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.testng:testng)
BuildRequires: mvn(xmlunit:xmlunit)

Provides:      opensaml-java-parent = %{version}
# com.unboundid:unboundid-ldapsdk:2.3.8
# org.cryptacular:cryptacular:1.0
# org.ldaptive:ldaptive:1.0.6
BuildArch:     noarch

%description
A POM containing properties, profiles, plugin configurations,
etc. that are common across all Shibboleth V3 projects.

%prep
%setup -q -n %{name}-%{version}

%mvn_alias : net.shibboleth:parent

%build

%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc resources/doc/RELEASE-NOTES.txt
%license resources/doc/LICENSE.txt

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Aug 11 2016 gil cattaneo <puntogil@libero.it> 8-2
- add provides and alias for opensaml-java-parent

* Thu Jul 14 2016 gil cattaneo <puntogil@libero.it> 8-1
- initial rpm

